<?php

namespace Drupal\language_hierarchy\EventSubscriber;

use Symfony\Contracts\EventDispatcher\Event;
use Drupal\Core\Config\ConfigEvents;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class LanguageHierarchyConfigEventSubscriber.
 *
 * @package Drupal\language_hierarchy
 */
class LanguageHierarchyConfigEventSubscriber implements EventSubscriberInterface {

  /**
   * This method is called when the config.importer.import event is dispatched.
   *
   * @param \Symfony\Contracts\EventDispatcher\Event $event
   *   The config import event.
   */
  public function onConfigImport(Event $event) {
    language_hierarchy_update_priorities();
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[ConfigEvents::IMPORT] = ['onConfigImport'];
    return $events;
  }

}
